# Generated by Django 4.2.2 on 2023-07-16 14:08

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import main.models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("groups", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Student",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "first_name",
                    models.CharField(
                        blank=True,
                        max_length=120,
                        null=True,
                        validators=[django.core.validators.MinLengthValidator(2)],
                    ),
                ),
                ("last_name", models.CharField(blank=True, max_length=120, null=True)),
                ("email", models.EmailField(blank=True, max_length=150, null=True)),
                ("birth_date", models.DateField(blank=True, null=True)),
                ("grade", models.PositiveSmallIntegerField(blank=True, null=True)),
                (
                    "avatar",
                    models.ImageField(
                        blank=True, null=True, upload_to=main.models.avatar_upload_path
                    ),
                ),
                (
                    "cv",
                    models.FileField(
                        blank=True, null=True, upload_to=main.models.cv_upload_path
                    ),
                ),
                (
                    "group",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="students",
                        to="groups.group",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
